Package org.eclipse.mat.parser.internal.oql.compiler

## Class Query.SelectItem

- java.lang.Object
- - org.eclipse.mat.parser.internal.oql.compiler.Query.SelectItem

Enclosing class:
  Query

    public static class Query.SelectItem
    extends java.lang.Object

### Constructor Summary

Constructors
`SelectItem​(java.lang.String name, Expression expression)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Expression` `getExpression()`
`java.lang.String` `getName()`
`void` `setExpression​(Expression expression)`
`void` `setName​(java.lang.String name)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SelectItem

    public SelectItem​(java.lang.String name,
                      Expression expression)

### Method Detail

#### getExpression

    public Expression getExpression()

#### setExpression

    public void setExpression​(Expression expression)

#### getName

    public java.lang.String getName()

#### setName

    public void setName​(java.lang.String name)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`